Bug 1127916 - fedora-review doesn't recognize %license
Summary: fedora-review doesn't recognize %license
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 20:18 UTC by Jerry James
Modified: 2015-02-26 17:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-26 17:36:05 UTC


Attachments (Terms of Use)

Description Jerry James 2014-08-07 20:18:04 UTC
Description of problem:
When running fedora-review on a package that uses the new %license tag, fedora-review complains:

- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

And also:

[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses

All of these message disappear if the license file is moved to %doc.

Version-Release number of selected component (if applicable):
fedora-review-0.5.1-2.fc20.noarch

How reproducible:
Always

Steps to Reproduce:
1. Review a package that uses %license
2.
3.

Actual results:
The incorrect messages shown above.

Expected results:
Golden silence.

Additional info:

Comment 1 Jens Petersen 2014-11-14 00:46:16 UTC
Increasing severity in view of https://fedorahosted.org/fpc/ticket/411

Comment 2 Pierre-YvesChibon 2014-11-14 06:45:50 UTC
You are right, although, saw the last comment on that ticket ?

Comment 3 Jens Petersen 2014-11-14 08:35:45 UTC
Right I did - it is approved but seems FPC is not always so quick to update the wiki.

Comment 4 Raphael Groner 2015-02-26 17:36:05 UTC
This is fixed in the devel branch at fedorahosted.

Alternatively, someone could use the following line to prevent an error:

%{!?_licensedir:%global license %%doc}


Note You need to log in before you can comment on or make changes to this bug.